# Python Tolling Vision client by Smart Cloud Solutions

Python client for [Tolling Vision](https://tollingvision.com/) by [Smart Cloud Solutions Inc.](https://smart-cloud-solutions.com/).

## 📋 Introduction

The Tolling Vision client provides a seamless way to interact with the Tolling Vision Dockerized service, allowing tolling operators or image review companies to process and review images efficiently. This client supports features like license plate, make and model, and dangerous goods recognition.

## 💻 Prerequisites

Before installing, ensure you have the following prerequisites:

Python (>=3.6)

## 💁 How to Install

To install the Tolling Vision client along with the necessary dependencies, including **`grpcio-tools`**, run the following command:

```sh
pip install grpcio-tools tollingvision-scsinfo
```

If you need to upgrade to the latest version of the Tolling Vision client, you can do so by adding the **`--upgrade`** flag to the installation command:

```sh
pip install --upgrade tollingvision-scsinfo
```

## 📖 Usage

To see a working example of how to use this package, please refer to the sample project available on GitHub: [Python Example Program for Tolling Vision
](https://github.com/smartcloudsol/tollingvision-python-sample).

You can clone the repository and follow the instructions provided in the README file of the sample project to get started.
